package cn.com.infosec.asn1.x9;

import cn.com.infosec.asn1.DERObjectIdentifier;

public interface X9ObjectIdentifiers {
   String ansi_X9_62 = "1.2.840.10045";
   String id_fieldType = "1.2.840.10045.1";
   DERObjectIdentifier prime_field = new DERObjectIdentifier("1.2.840.10045.1.1");
   DERObjectIdentifier characteristic_two_field = new DERObjectIdentifier("1.2.840.10045.1.2");
   DERObjectIdentifier gnBasis = new DERObjectIdentifier("1.2.840.10045.1.2.3.1");
   DERObjectIdentifier tpBasis = new DERObjectIdentifier("1.2.840.10045.1.2.3.2");
   DERObjectIdentifier ppBasis = new DERObjectIdentifier("1.2.840.10045.1.2.3.3");
   String id_ecSigType = "1.2.840.10045.4";
   DERObjectIdentifier ecdsa_with_SHA1 = new DERObjectIdentifier("1.2.840.10045.4.1");
   String id_publicKeyType = "1.2.840.10045.2";
   DERObjectIdentifier id_ecPublicKey = new DERObjectIdentifier("1.2.840.10045.2.1");
   DERObjectIdentifier ecdsa_with_SHA2;
   DERObjectIdentifier ecdsa_with_SHA224;
   DERObjectIdentifier ecdsa_with_SHA256;
   DERObjectIdentifier ecdsa_with_SHA384;
   DERObjectIdentifier ecdsa_with_SHA512;
   String ellipticCurve = "1.2.840.10045.3";
   String cTwoCurve = "1.2.840.10045.3.0";
   DERObjectIdentifier c2pnb163v1;
   DERObjectIdentifier c2pnb163v2;
   DERObjectIdentifier c2pnb163v3;
   DERObjectIdentifier c2pnb176w1;
   DERObjectIdentifier c2tnb191v1;
   DERObjectIdentifier c2tnb191v2;
   DERObjectIdentifier c2tnb191v3;
   DERObjectIdentifier c2onb191v4;
   DERObjectIdentifier c2onb191v5;
   DERObjectIdentifier c2pnb208w1;
   DERObjectIdentifier c2tnb239v1;
   DERObjectIdentifier c2tnb239v2;
   DERObjectIdentifier c2tnb239v3;
   DERObjectIdentifier c2onb239v4;
   DERObjectIdentifier c2onb239v5;
   DERObjectIdentifier c2pnb272w1;
   DERObjectIdentifier c2pnb304w1;
   DERObjectIdentifier c2tnb359v1;
   DERObjectIdentifier c2pnb368w1;
   DERObjectIdentifier c2tnb431r1;
   String primeCurve = "1.2.840.10045.3.1";
   DERObjectIdentifier prime192v1;
   DERObjectIdentifier prime192v2;
   DERObjectIdentifier prime192v3;
   DERObjectIdentifier prime239v1;
   DERObjectIdentifier prime239v2;
   DERObjectIdentifier prime239v3;
   DERObjectIdentifier prime256v1;
   DERObjectIdentifier dhpublicnumber;
   DERObjectIdentifier id_dsa;
   DERObjectIdentifier id_dsa_with_sha1;
   DERObjectIdentifier x9_63_scheme;
   DERObjectIdentifier dhSinglePass_stdDH_sha1kdf_scheme;
   DERObjectIdentifier dhSinglePass_cofactorDH_sha1kdf_scheme;
   DERObjectIdentifier mqvSinglePass_sha1kdf_scheme;
   DERObjectIdentifier x9_42_schemes;
   DERObjectIdentifier dhStatic;
   DERObjectIdentifier dhEphem;
   DERObjectIdentifier dhOneFlow;
   DERObjectIdentifier dhHybrid1;
   DERObjectIdentifier dhHybrid2;
   DERObjectIdentifier dhHybridOneFlow;
   DERObjectIdentifier mqv2;
   DERObjectIdentifier mqv1;

   static {
      DERObjectIdentifier var0;
      DERObjectIdentifier var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.2.840.10045.4.3");
      ecdsa_with_SHA2 = var10000;
      ecdsa_with_SHA224 = new DERObjectIdentifier(var0 + ".1");
      ecdsa_with_SHA256 = new DERObjectIdentifier(var0 + ".2");
      ecdsa_with_SHA384 = new DERObjectIdentifier(var0 + ".3");
      ecdsa_with_SHA512 = new DERObjectIdentifier(var0 + ".4");
      c2pnb163v1 = new DERObjectIdentifier("1.2.840.10045.3.0.1");
      c2pnb163v2 = new DERObjectIdentifier("1.2.840.10045.3.0.2");
      c2pnb163v3 = new DERObjectIdentifier("1.2.840.10045.3.0.3");
      c2pnb176w1 = new DERObjectIdentifier("1.2.840.10045.3.0.4");
      c2tnb191v1 = new DERObjectIdentifier("1.2.840.10045.3.0.5");
      c2tnb191v2 = new DERObjectIdentifier("1.2.840.10045.3.0.6");
      c2tnb191v3 = new DERObjectIdentifier("1.2.840.10045.3.0.7");
      c2onb191v4 = new DERObjectIdentifier("1.2.840.10045.3.0.8");
      c2onb191v5 = new DERObjectIdentifier("1.2.840.10045.3.0.9");
      c2pnb208w1 = new DERObjectIdentifier("1.2.840.10045.3.0.10");
      c2tnb239v1 = new DERObjectIdentifier("1.2.840.10045.3.0.11");
      c2tnb239v2 = new DERObjectIdentifier("1.2.840.10045.3.0.12");
      c2tnb239v3 = new DERObjectIdentifier("1.2.840.10045.3.0.13");
      c2onb239v4 = new DERObjectIdentifier("1.2.840.10045.3.0.14");
      c2onb239v5 = new DERObjectIdentifier("1.2.840.10045.3.0.15");
      c2pnb272w1 = new DERObjectIdentifier("1.2.840.10045.3.0.16");
      c2pnb304w1 = new DERObjectIdentifier("1.2.840.10045.3.0.17");
      c2tnb359v1 = new DERObjectIdentifier("1.2.840.10045.3.0.18");
      c2pnb368w1 = new DERObjectIdentifier("1.2.840.10045.3.0.19");
      c2tnb431r1 = new DERObjectIdentifier("1.2.840.10045.3.0.20");
      prime192v1 = new DERObjectIdentifier("1.2.840.10045.3.1.1");
      prime192v2 = new DERObjectIdentifier("1.2.840.10045.3.1.2");
      prime192v3 = new DERObjectIdentifier("1.2.840.10045.3.1.3");
      prime239v1 = new DERObjectIdentifier("1.2.840.10045.3.1.4");
      prime239v2 = new DERObjectIdentifier("1.2.840.10045.3.1.5");
      prime239v3 = new DERObjectIdentifier("1.2.840.10045.3.1.6");
      prime256v1 = new DERObjectIdentifier("1.2.840.10045.3.1.7");
      dhpublicnumber = new DERObjectIdentifier("1.2.840.10046.2.1");
      id_dsa = new DERObjectIdentifier("1.2.840.10040.4.1");
      id_dsa_with_sha1 = new DERObjectIdentifier("1.2.840.10040.4.3");
      var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.3.133.16.840.63.0");
      x9_63_scheme = var10000;
      dhSinglePass_stdDH_sha1kdf_scheme = new DERObjectIdentifier(var0 + ".2");
      dhSinglePass_cofactorDH_sha1kdf_scheme = new DERObjectIdentifier(var0 + ".3");
      mqvSinglePass_sha1kdf_scheme = new DERObjectIdentifier(var0 + ".16");
      var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.2.840.10046.3");
      x9_42_schemes = var10000;
      dhStatic = new DERObjectIdentifier(var0 + ".1");
      dhEphem = new DERObjectIdentifier(var0 + ".2");
      dhOneFlow = new DERObjectIdentifier(var0 + ".3");
      dhHybrid1 = new DERObjectIdentifier(var0 + ".4");
      dhHybrid2 = new DERObjectIdentifier(var0 + ".5");
      dhHybridOneFlow = new DERObjectIdentifier(var0 + ".6");
      mqv2 = new DERObjectIdentifier(var0 + ".7");
      mqv1 = new DERObjectIdentifier(var0 + ".8");
   }
}
